PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::EquilateralMesh3D::Transformed Struct Reference

Adapter for the destination mesh in interpolations, moving the src point to mesh coordinates. More...

`#include <plask/mesh/equilateral3d.hpp>`

Inheritance diagram for plask::EquilateralMesh3D::Transformed:
[legend]
Collaboration diagram for plask::EquilateralMesh3D::Transformed:
[legend]

## Public Member Functions
| Transformed (const EquilateralMesh3D *src, const shared_ptr< const MeshD< 3 > > &dst)
| Transformed (const shared_ptr< const EquilateralMesh3D > &src, const shared_ptr< const MeshD< 3 > > &dst)
size_t | size () const override
Vec< 3, double > | at (size_t index) const override
Public Member Functions inherited from plask::MeshD< 3 >
virtual LocalCoords | at (std::size_t index) const=0
| Get point with given mesh index.
LocalCoords | operator[] (std::size_t index) const
| Get point with given mesh index.
const_iterator | begin () const
const_iterator | end () const
| MeshD (const MeshD &PLASK_UNUSED(to_copy))
| Initialize this to be the same as `to_copy` but don't copy any changes observer.
| MeshD ()
MeshD & | operator= (const MeshD &PLASK_UNUSED(to_copy))
| Set this to be the same as `to_copy` but doesn't changed changes observer.
bool | operator== (const MeshD &to_compare) const
| Check if this mesh and `to_compare` represent the same sequence of points (have exactly the same points in the same order).
bool | operator!= (const MeshD &to_compare) const
| Check if this mesh and `to_compare` represent different sequences of points.
void | print (std::ostream &out) const override
| Print this to stream `out`.
Public Member Functions inherited from plask::Mesh
template<typename ClassT , typename methodT >
boost::signals2::connection | changedConnectMethod (ClassT *obj, methodT method, boost::signals2::connect_position at=boost::signals2::at_back)
| Connect a method to changed signal.
template<typename ClassT , typename methodT >
void | changedDisconnectMethod (ClassT *obj, methodT method)
template<typename EventT = Event, typename ... Args>
void | fireChanged (Args &&... event_constructor_params_without_source)
| Call changed with this as event source.
void | fireResized ()
| This method is called when the mesh is resized.
virtual bool | empty () const
virtual void | writeXML (XMLElement &object) const
| Write mesh to XML.
virtual | ~Mesh ()
Public Member Functions inherited from plask::Printable
virtual | ~Printable ()
std::string | str () const
| Get string representation of this using print method.
Public Member Functions inherited from plask::MeshBase
virtual | ~MeshBase ()

## Public Attributes
const EquilateralMesh3D * | src
shared_ptr< const MeshD< 3 > > | dst
Public Attributes inherited from plask::Mesh
boost::signals2::signal< void(Event &)> | changed
| Changed signal, fired when mesh was changed.

## Additional Inherited Members
Public Types inherited from plask::MeshD< 3 >
enum |
| Number of dimensions. More...
typedef Primitive< DIM >::DVec | LocalCoords
| Type of vector representing coordinates in local space.
typedef IndexedIterator< const MeshD< dimension >, LocalCoords > | const_iterator
| Random access iterator type which allow iterate over all points in this mesh, in order appointed by operator[].
typedef const_iterator | iterator
typedef const_iterator | Iterator
Protected Member Functions inherited from plask::MeshD< 3 >
virtual bool | hasSameNodes (const MeshD< dimension > &to_compare) const
| Check if this mesh and `to_compare` represent the same sequence of points (have exactly the same points in the same order).
Protected Member Functions inherited from plask::Mesh
virtual void | onChange (const Event &evt)
| This method is called when the mesh is changed, just before changed signal.

## Detailed Description

Adapter for the destination mesh in interpolations, moving the src point to mesh coordinates.

Definition at line 52 of file equilateral3d.hpp.

## Constructor & Destructor Documentation

## ◆ Transformed() [1/2]

plask::EquilateralMesh3D::Transformed::Transformed | ( | const EquilateralMesh3D * | src,
|  | const shared_ptr< const MeshD< 3 > > & | dst
| ) |  |
| inline

Definition at line 55 of file equilateral3d.hpp.

## ◆ Transformed() [2/2]

plask::EquilateralMesh3D::Transformed::Transformed | ( | const shared_ptr< const EquilateralMesh3D > & | src,
|  | const shared_ptr< const MeshD< 3 > > & | dst
| ) |  |
| inline

Definition at line 57 of file equilateral3d.hpp.

## Member Function Documentation

## ◆ at()

Vec< 3, double > plask::EquilateralMesh3D::Transformed::at | ( | size_t | index | ) | const
| inline override

Definition at line 60 of file equilateral3d.hpp.

## ◆ size()

size_t plask::EquilateralMesh3D::Transformed::size | ( |  | ) | const
| inline override virtual

Returns
  number of points in mesh

Implements plask::Mesh.

Definition at line 59 of file equilateral3d.hpp.

## Member Data Documentation

## ◆ dst

shared_ptr<const MeshD<3> > plask::EquilateralMesh3D::Transformed::dst

Definition at line 54 of file equilateral3d.hpp.

## ◆ src

const EquilateralMesh3D* plask::EquilateralMesh3D::Transformed::src

Definition at line 53 of file equilateral3d.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/equilateral3d.hpp